Subject: Re: linux-next: md tree build failure

From: "NeilBrown" <[email-masked]>
Date: Mon, 1 Jun 2009 15:33:07 +1000 (EST)

On Mon, June 1, 2009 3:13 pm, Martin K. Petersen wrote:
>>>>>> "Stephen" == Stephen Rothwell <[email-masked]> writes:
>
>>> > Caused by commit e1defc4ff0cf57aca6c5e3ff99fa503f5943c1f1 ("block:
>>> > Do away with the notion of hardsect_size") from the block tree
>>> > interacting with commit 131e4477401ae76a9cbe8539e4b7819e04cfba36
>>> > ("md: raid0: chunk size check in raid0_run") from the md tree.
>
> Stephen> So, is anything happening about these?  I still get these (and
> Stephen> the dm) build failures.
>
> There's a replacement DM patch kit brewing that will hopefully come your
> way shortly.  It replaces the patches currently in Alasdair's tree.
> Mike sent the kit out for review last week and I'm currently testing it.
>
>
> I don't know what Neil's plans are.  Neil: Do you want to rebase your
> tree, fix up the conflicting patches or how would you like to handle
> this?

I'm happy to rebase on something if you have a tree that doesn't have too
much more than the changes that are causing conflicts.
Then I'll fix my patches so they work on that tree.

What should I pull??

NeilBrown